Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TInsertSqlNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TInsertSqlNode

All Implemented Interfaces:
  Visitable

    public class TInsertSqlNode

extends TParseTreeNode

Interal used by parser.

Field Summary
`TCTEList` | `cteList`

Constructor Summary
`TInsertSqlNode()`

Method Summary
`TObjectNameList` | `getColumnList()`
`TCTEList` | `getCteList()`
`TFunctionCall` | `getFunctionCall()`
`TSourceToken` | `getIgnore()`
`TPTNodeList<TInsertCondition>` | `getInsertConditions()`
`TPTNodeList<TInsertIntoValue>` | `getInsertIntoValues()`
`TSourceToken` | `getInsertToken()`
`TIsolationClause` | `getIsolationClause()`
`TOutputClause` | `getOutputClause()`
`TSourceToken` | `getPriority_delayed()`
`TObjectName` | `getRecordName()`
`TReturningClause` | `getReturningClause()`
`TResultColumnList` | `getSetColumnValues()`
`TSelectSqlNode` | `getSubQueryNode()`
`TFromTable` | `getTargetTable()`
`TTopClause` | `getTopClause()`
`TMultiTargetList` | `getValues()`
`int` | `getValueType()`
`void` | `setColumnList(TObjectNameList columnList)`
`void` | `setColumnListByResultColumnList(TResultColumnList columnList)`
`void` | `setIgnore(TSourceToken ignore)`
`void` | `setInsertConditions(TPTNodeList<TInsertCondition> insertConditions)`
`void` | `setInsertIntoValues(TPTNodeList<TInsertIntoValue> insertIntoValues)`
`void` | `setInsertToken(TSourceToken insertToken)`
`void` | `setIsolationClause(TIsolationClause isolationClause)`
`void` | `setOutputClause(TOutputClause outputClause)`
`void` | `setPriority_delayed(TSourceToken priority_delayed)`
`void` | `setReturningClause(TReturningClause returningClause)`
`void` | `setSubQueryNode(TSelectSqlNode subQueryNode)`
`void` | `setTargetTable(TFromTable targetTable)`
`void` | `setTopClause(TTopClause topClause)`
`void` | `setValues(TDummy dummyNode)`
`void` | `setValuesByMultiTarget(TMultiTarget mt)`
`void` | `setValueType(int valueType)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cteList

    public TCTEList cteList

Constructor Detail

### TInsertSqlNode

    public TInsertSqlNode()

Method Detail

### getCteList

    public TCTEList getCteList()

### getInsertConditions

    public TPTNodeList<TInsertCondition> getInsertConditions()

### getInsertIntoValues

    public TPTNodeList<TInsertIntoValue> getInsertIntoValues()

### setInsertConditions

    public void setInsertConditions(TPTNodeList<TInsertCondition> insertConditions)

### setInsertIntoValues

    public void setInsertIntoValues(TPTNodeList<TInsertIntoValue> insertIntoValues)

### setInsertToken

    public void setInsertToken(TSourceToken insertToken)

### getInsertToken

    public TSourceToken getInsertToken()

### getSubQueryNode

    public TSelectSqlNode getSubQueryNode()

### getValues

    public TMultiTargetList getValues()

### setSubQueryNode

    public void setSubQueryNode(TSelectSqlNode subQueryNode)

### getValueType

    public int getValueType()

### setValueType

    public void setValueType(int valueType)

### getReturningClause

    public TReturningClause getReturningClause()

### getColumnList

    public TObjectNameList getColumnList()

### getOutputClause

    public TOutputClause getOutputClause()

### getTargetTable

    public TFromTable getTargetTable()

### getTopClause

    public TTopClause getTopClause()

### setIgnore

    public void setIgnore(TSourceToken ignore)

### setPriority_delayed

    public void setPriority_delayed(TSourceToken priority_delayed)

### getIgnore

    public TSourceToken getIgnore()

### getPriority_delayed

    public TSourceToken getPriority_delayed()

### setReturningClause

    public void setReturningClause(TReturningClause returningClause)

### setColumnListByResultColumnList

    public void setColumnListByResultColumnList(TResultColumnList columnList)

### setColumnList

    public void setColumnList(TObjectNameList columnList)

### setTargetTable

    public void setTargetTable(TFromTable targetTable)

### setOutputClause

    public void setOutputClause(TOutputClause outputClause)

### setTopClause

    public void setTopClause(TTopClause topClause)

### getFunctionCall

    public TFunctionCall getFunctionCall()

### getRecordName

    public TObjectName getRecordName()

### setValuesByMultiTarget

    public void setValuesByMultiTarget(TMultiTarget mt)

### getSetColumnValues

    public TResultColumnList getSetColumnValues()

### setIsolationClause

    public void setIsolationClause(TIsolationClause isolationClause)

### getIsolationClause

    public TIsolationClause getIsolationClause()

### setValues

    public void setValues(TDummy dummyNode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD